/***************************
GTK Pattern Creation Lab
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************/


#include "patterns.h"
#include "gpclpatmenu.h"
#include "gpcl.h"

void create_patmenu(GtkWidget *menu)
{
   GtkWidget *checker = NULL;
   GtkWidget *rmansl = NULL;
   GtkWidget *brick = NULL;

   rmansl = gtk_menu_item_new_with_label ("RenderMan Shader");
   gtk_widget_show (rmansl);
   gtk_container_add (GTK_CONTAINER (menu), rmansl);
   gtk_signal_connect (GTK_OBJECT (rmansl), "activate",
                      GTK_SIGNAL_FUNC (on_pattern_selection),
                      rmansl_new);

   checker = gtk_menu_item_new_with_label ("Checker");
   gtk_widget_show (checker);
   gtk_container_add (GTK_CONTAINER (menu), checker);
   gtk_signal_connect (GTK_OBJECT (checker), "activate",
                      GTK_SIGNAL_FUNC (on_pattern_selection),
                      checker_new);

   brick = gtk_menu_item_new_with_label ("Brick");
   gtk_widget_show (brick);
   gtk_container_add (GTK_CONTAINER (menu), brick);
   gtk_signal_connect (GTK_OBJECT (brick), "activate",
                      GTK_SIGNAL_FUNC (on_pattern_selection),
                      brick_new);

}
