/***************************
GTK Pattern Creation Lab
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************/

#include "types.h"
#include "../include/slpinc.h"

#ifndef __RMANSL_H__
#define __RMANSL_H__

typedef struct rmansl_data_tag rmansl_data;
typedef rmansl_data *prmansl_data;

struct rmansl_data_tag{
   char *filename;
   int  is_restricted;
   int  interpolate_spherical;
   PTOKEN_LIST list;
   PTOKEN_LIST start;
   SHADER_DATA info;
   GLOBAL_VARIABLES global_vars;

};

int  rmansl_new(pattern_class *pat);

#endif
