/**************************************
Matrix and 3D Math
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
******************************************/


#include "../include/matrix.h"

int main(void)
{
   int i;

   FLT m = (FLT)0.0;
   int n =0;
   FLT mat[4][4];
   FLT mat1[4][4];
   FLT mat2[4][4];
   FLT mat3[4][4];
   FLT mt3x3[3][3];
   vec4 v41, v42, v43;

   mat4init(mat);
   mat4init(mat2);
   mat2[0][1] = (FLT)3.243;
   mat2[0][2] = (FLT)1.01;
   mat2[0][3] = (FLT)2.23;
   mat2[1][0] = (FLT)0.55;
   mat2[1][2] = (FLT)12.24;
   mat2[1][3] = (FLT)1.2;
   mat2[2][0] = (FLT)0.12;
   mat2[2][1] = (FLT)12.0;
   mat2[2][3] = (FLT)1.0;
   mat2[3][0] = (FLT)23.0;
   mat2[3][1] = (FLT)0.001;
   mat2[3][2] = (FLT)34.11;


   vec4init(v41);

   v42[0]=(FLT)0.123;
   v42[1]=(FLT)12.0;
   v42[2]=(FLT)5.45;
   v42[3]=(FLT)42.0;
   v43[0]=(FLT)1.0;
   v43[1]=(FLT)1.0;
   v43[2]=(FLT)1.0;
   v43[3]=(FLT)2.0;

   m4v4cross(mat2, v43, v41);
   vec4print(v41);
   m4v4crossn(mat2, v43, v41);
   vec4print(v41);

   return;
}
